package cn.yw.aqmjc.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("gdwdaqmxxDao")
public class GdwdaqmxxDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	
	public void insert_Gdwdaqmxx(Map map) throws SQLException{
		this.insert("insert_Gdwdaqmxx",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Gdwdaqmxx(List batch) throws SQLException{
		this.insert("batch_insert_Gdwdaqmxx",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Gdwdaqmxx(Map map) throws SQLException{
		return this.update("update_Gdwdaqmxx",map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Gdwdaqmxx(Map map) throws SQLException{
		return this.delete("delete_Gdwdaqmxx",map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Gdwdaqmxx(Map map) throws SQLException{
		return this.delete("batch_delete_Gdwdaqmxx",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Gdwdaqmxx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Gdwdaqmxx",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Gdwdaqmxx(Map map) throws SQLException{
		return this.queryForPage("query_Gdwdaqmxx",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Gdwdaqmxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Gdwdaqmxx",map);
	}
	
}
